RHEL 4 / 5 : firefox (RHSA-2009:0436)

Medium Nessus Plugin ID 36213

Synopsis

The remote Red Hat host is missing one or more security updates.

Description

Updated firefox packages that fix several security issues are now available for Red Hat Enterprise Linux 4 and 5.

This update has been rated as having critical security impact by the Red Hat Security Response Team.

Mozilla Firefox is an open source Web browser. XULRunner provides the XUL Runtime environment for Mozilla Firefox.

Several flaws were found in the processing of malformed web content. A web page containing malicious content could cause Firefox to crash or, potentially, execute arbitrary code as the user running Firefox.
(CVE-2009-1302, CVE-2009-1303, CVE-2009-1304, CVE-2009-1305)

Several flaws were found in the way malformed web content was processed. A web page containing malicious content could execute arbitrary JavaScript in the context of the site, possibly presenting misleading data to a user, or stealing sensitive information such as login credentials. (CVE-2009-0652, CVE-2009-1306, CVE-2009-1307, CVE-2009-1308, CVE-2009-1309, CVE-2009-1310, CVE-2009-1312)

A flaw was found in the way Firefox saved certain web pages to a local file. If a user saved the inner frame of a web page containing POST data, the POST data could be revealed to the inner frame, possibly surrendering sensitive information such as login credentials.
(CVE-2009-1311)

For technical details regarding these flaws, refer to the Mozilla security advisories for Firefox 3.0.9. You can find a link to the Mozilla advisories in the References section of this errata.

All Firefox users should upgrade to these updated packages, which contain Firefox version 3.0.9, which corrects these issues. After installing the update, Firefox must be restarted for the changes to take effect.

Solution

Update the affected packages.

See Also

https://access.redhat.com/security/cve/cve-2009-0652

https://access.redhat.com/security/cve/cve-2009-1302

https://access.redhat.com/security/cve/cve-2009-1303

https://access.redhat.com/security/cve/cve-2009-1304

https://access.redhat.com/security/cve/cve-2009-1305

https://access.redhat.com/security/cve/cve-2009-1306

https://access.redhat.com/security/cve/cve-2009-1307

https://access.redhat.com/security/cve/cve-2009-1308

https://access.redhat.com/security/cve/cve-2009-1309

https://access.redhat.com/security/cve/cve-2009-1310

https://access.redhat.com/security/cve/cve-2009-1311

https://access.redhat.com/security/cve/cve-2009-1312

http://www.nessus.org/u?d7d74da4

https://access.redhat.com/errata/RHSA-2009:0436

Plugin Details

Severity: Medium

ID: 36213

File Name: redhat-RHSA-2009-0436.nasl

Version: 1.29

Type: local

Agent: unix

Published: 2009/04/22

Updated: 2019/09/17

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:firefox, p-cpe:/a:redhat:enterprise_linux:xulrunner, p-cpe:/a:redhat:enterprise_linux:xulrunner-devel, p-cpe:/a:redhat:enterprise_linux:xulrunner-devel-unstable, cpe:/o:redhat:enterprise_linux:4, cpe:/o:redhat:enterprise_linux:4.7, cpe:/o:redhat:enterprise_linux:5, cpe:/o:redhat:enterprise_linux:5.3

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Patch Publication Date: 2009/04/21

Vulnerability Publication Date: 2009/02/20

Reference Information

CVE: CVE-2009-0652, CVE-2009-1302, CVE-2009-1303, CVE-2009-1304, CVE-2009-1305, CVE-2009-1306, CVE-2009-1307, CVE-2009-1308, CVE-2009-1309, CVE-2009-1310, CVE-2009-1311, CVE-2009-1312

RHSA: 2009:0436

CWE: 16, 20, 79, 200, 399